## kpim6-mailimporter 25.08.0

=== debian/changelog ===
kpim6-mailimporter (4:25.08.0-0zneon+24.04+noble+release+build30) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Sep 2025 01:43:57 +0000

kpim6-mailimporter (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:42:42 +0000

kpim6-mailimporter (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:00:16 +0000

kpim6-mailimporter (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:10:07 +0000

kpim6-mailimporter (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:50:36 +0000

kpim6-mailimporter (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:06:07 +0000

kpim6-mailimporter (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:36:10 +0000

kpim6-mailimporter (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:04:02 +0000

kpim6-mailimporter (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:56:20 +0000

kpim6-mailimporter (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:51:33 +0000

kpim6-mailimporter (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:07:18 +0000

kpim6-mailimporter (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:38:54 +0000

kpim6-mailimporter (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:10:36 +0000

kpim6-mailimporter (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:02:50 +0000

kpim6-mailimporter (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:45:06 +0000

kpim6-mailimporter (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:04:32 +0000

kpim6-mailimporter (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:48:14 +0000

kpim6-mailimporter (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:17:16 +0000

libkf5mailimporter (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 08:00:51 +0000

libkf5mailimporter (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:54:54 +0000

libkf5mailimporter (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:21:52 +0000

libkf5mailimporter (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:26:25 +0000

libkf5mailimporter (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 12:23:08 +0000

libkf5mailimporter (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:54:03 +0000

libkf5mailimporter (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:31:26 +0000

libkf5mailimporter (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:06:59 +0000

libkf5mailimporter (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:12:35 +0000

libkf5mailimporter (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:34:22 +0000

libkf5mailimporter (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:49:44 +0000

libkf5mailimporter (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 10:32:56 +0000

libkf5mailimporter (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:20:22 +0000

libkf5mailimporter (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:46:04 +0000

libkf5mailimporter (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:39:32 +0000

libkf5mailimporter (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:54:54 +0000

libkf5mailimporter (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:06:33 +0000

libkf5mailimporter (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 10:57:39 +0000

libkf5mailimporter (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:16:02 +0000

libkf5mailimporter (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:18 +0000

libkf5mailimporter (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:23:52 +0000

libkf5mailimporter (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:09:07 +0000

libkf5mailimporter (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 12:08:44 +0000

libkf5mailimporter (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:59:37 +0000

libkf5mailimporter (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:28 +0000



## kpim6-mailimporter 25.08.1

=== debian/changelog ===
kpim6-mailimporter (4:25.08.1-0zneon+24.04+noble+release+build32) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 13:59:17 +0000

kpim6-mailimporter (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:15:33 +0000

## kpim6-mailimporter 25.08.1+p24.04+vstable+git20250914.2134

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.2")

project(MailImporter VERSION ${PIM_VERSION})

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(CMAKE_CXX_STANDARD 20)
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()
include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
)

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddTests)

set(MAILIMPORTER_LIB ${PIM_VERSION})
include(ECMAddQch)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(
    QCH
    ${BUILD_QCH}
    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
)
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

set(AKONADIMIME_LIB_VERSION "6.5.1")
set(KMIME_LIB_VERSION "6.5.1")
set(AKONADI_VERSION "6.5.1")
set(PIMCOMMON_LIB_VERSION "6.5.1")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        Test
        Xml
)

find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

########### CMake Config Files ###########

add_definitions(-DTRANSLATION_DOMAIN=\"libmailimporter6\")

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT MAILIMPORTER
        FILE mailimporter.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kpim6-mailimporter (4:25.08.1+p24.04+vstable+git20250914.2134-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 21:34:19 +0000

## kpim6-mailimporter 25.08.1+p24.04+vstable+git20250916.0437

=== debian/changelog ===
kpim6-mailimporter (4:25.08.1+p24.04+vstable+git20250916.0437-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 04:37:06 +0000

## kpim6-mailimporter 25.08.2

=== debian/changelog ===
kpim6-mailimporter (4:25.08.2-0zneon+24.04+noble+release+build37) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 09:13:54 +0000

kpim6-mailimporter (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 05:55:36 +0000

## kpim6-mailimporter 25.08.2+p24.04+vstable+git20251015.1946

=== debian/changelog ===
kpim6-mailimporter (4:25.08.2+p24.04+vstable+git20251015.1946-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:46:15 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/mailimporter-([\d.]+).tar.xz

## kpim6-mailimporter 25.08.2+p24.04+vstable+git20251019.0803

=== debian/changelog ===
kpim6-mailimporter (4:25.08.2+p24.04+vstable+git20251019.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:03:48 +0000

## kpim6-mailimporter 25.08.2+p24.04+vunstable+git20251015.1945

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,12 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.40")
 
 project(MailImporter VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -59,10 +60,10 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(AKONADIMIME_LIB_VERSION "6.5.1")
-set(KMIME_LIB_VERSION "6.5.1")
-set(AKONADI_VERSION "6.5.1")
-set(PIMCOMMON_LIB_VERSION "6.5.1")
+set(AKONADIMIME_LIB_VERSION "6.5.40")
+set(KMIME_LIB_VERSION "6.5.40")
+set(AKONADI_VERSION "6.5.40")
+set(PIMCOMMON_LIB_VERSION "6.5.40")
 
 find_package(
     Qt6
@@ -87,7 +88,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
 
 ########### CMake Config Files ###########

=== debian/changelog ===
kpim6-mailimporter (4:25.08.2+p24.04+vunstable+git20251015.1945-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:45:49 +0000

=== debian/control ===
Source: kpim6-mailimporter
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kconfig-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-ktextaddons-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-kmime-dev,
               kpim6-libkdepim-dev,
               kpim6-pimcommon-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/mailimporter.git
Vcs-Browser: https://invent.kde.org/neon/kde/mailimporter
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-mailimporter
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: libkpim6mailimporterabi1
Replaces: libkf5mailimporter-data,
          libkf5mailimporter5,
          libkf5mailimporterabi1,
          libkf5mailimporterakonadi5,
          libkpim6mailimporter-data,
          libkpim6mailimporter6,
          libkpim6mailimporterabi1,
          libkpim6mailimporterakonadi6
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: kpim6-mailimporter-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-karchive-dev,
         kpim6-akonadi-dev,
         kpim6-akonadi-mime-dev,
         kpim6-kmime-dev,
         kpim6-mailimporter (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkf5mailimporter-dev, libkpim6mailimporter-dev
Description: KDE PIM Mail importer library, devel files
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkpim6mailimporter6
Architecture: all
Depends: kpim6-mailimporter, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6mailimporterakonadi6
Architecture: all
Depends: kpim6-mailimporter, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6mailimporter-data
Architecture: all
Depends: kpim6-mailimporter, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6mailimporter-dev
Architecture: all
Depends: kpim6-mailimporter-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkpim6mailimporterabi1
Architecture: all
Depends: kpim6-mailimporter, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mailimporter5
Architecture: all
Depends: kpim6-mailimporter, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mailimporterakonadi5
Architecture: all
Depends: kpim6-mailimporter, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mailimporter-data
Architecture: all
Depends: kpim6-mailimporter, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mailimporter-dev
Architecture: all
Depends: kpim6-mailimporter-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5mailimporterabi1
Architecture: all
Depends: kpim6-mailimporter, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kpim6-mailimporter 25.08.2+p24.04+vunstable+git20251020.0639

=== debian/changelog ===
kpim6-mailimporter (4:25.08.2+p24.04+vunstable+git20251020.0639-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 06:39:42 +0000

## kpim6-mailimporter 25.08.2+p24.04+vunstable+git20251022.0145

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 project(MailImporter VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)

=== debian/changelog ===
kpim6-mailimporter (4:25.08.2+p24.04+vunstable+git20251022.0145-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 01:45:58 +0000

## kpim6-mailimporter 25.08.3

=== debian/changelog ===
kpim6-mailimporter (4:25.08.3-0zneon+24.04+noble+release+build38) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:50:28 +0000

kpim6-mailimporter (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:38:24 +1000

## kpim6-mailimporter 25.08.3+p24.04+vunstable+git20251204.0222

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,10 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.40")
+set(PIM_VERSION "6.6.40")
 
 project(MailImporter VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.19.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -60,10 +59,10 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(AKONADIMIME_LIB_VERSION "6.5.40")
-set(KMIME_LIB_VERSION "6.5.40")
-set(AKONADI_VERSION "6.5.40")
-set(PIMCOMMON_LIB_VERSION "6.5.40")
+set(AKONADIMIME_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
 
 find_package(
     Qt6
@@ -88,7 +87,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.19.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 ########### CMake Config Files ###########

=== debian/changelog ===
kpim6-mailimporter (4:25.08.3+p24.04+vunstable+git20251204.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:23:01 +0000

## kpim6-mailimporter 25.08.3+p24.04+vunstable+git20251206.0916

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 project(MailImporter VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.19.0")
+set(KF_MIN_VERSION "6.20.0")
 set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)

=== debian/changelog ===
kpim6-mailimporter (4:25.08.3+p24.04+vunstable+git20251206.0916-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 09:16:39 +0000

## kpim6-mailimporter 25.12.0

=== debian/changelog ===
kpim6-mailimporter (4:25.12.0-0zneon+24.04+noble+release+build39) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 18:37:03 +0000

kpim6-mailimporter (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:34:22 +1000

## kpim6-mailimporter 25.12.0+p24.04+vstable+git20251222.0626

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.40")
+set(PIM_VERSION "6.6.1")
 
 project(MailImporter VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.20.0")
-set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.8.0")
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -59,10 +60,10 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(AKONADIMIME_LIB_VERSION "6.6.40")
-set(KMIME_LIB_VERSION "6.6.40")
-set(AKONADI_VERSION "6.6.40")
-set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(AKONADIMIME_LIB_VERSION "6.6.0")
+set(KMIME_LIB_VERSION "6.6.0")
+set(AKONADI_VERSION "6.6.0")
+set(PIMCOMMON_LIB_VERSION "6.6.0")
 
 find_package(
     Qt6

## kpim6-mailimporter 25.12.1

=== debian/changelog ===
kpim6-mailimporter (4:25.12.1-0zneon+24.04+noble+release+build42) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 02:46:14 +0000

kpim6-mailimporter (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:23:45 +1000

## kpim6-mailimporter 25.12.1+p24.04+vstable+git20260111.0744

=== debian/changelog ===
kpim6-mailimporter (4:25.12.1+p24.04+vstable+git20260111.0744-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 11 Jan 2026 07:44:38 +0000

## kpim6-mailimporter 25.12.1+p24.04+vstable+git20260118.0246

=== debian/changelog ===
kpim6-mailimporter (4:25.12.1+p24.04+vstable+git20260118.0246-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 18 Jan 2026 02:46:49 +0000

## kpim6-mailimporter 25.12.1+p24.04+vunstable+git20260204.0041

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,10 @@
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.6.1")
+cmake_minimum_required(VERSION 3.27)
+set(PIM_VERSION "6.6.40")
 
 project(MailImporter VERSION ${PIM_VERSION})
 
-set(KF_MIN_VERSION "6.18.0")
-set(QT_REQUIRED_VERSION "6.8.0")
-set(CMAKE_CXX_STANDARD 20)
+set(KF_MIN_VERSION "6.21.0")
+set(QT_REQUIRED_VERSION "6.9.0")
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -24,9 +23,33 @@
     endif()
 endif()
 if(NOT ${PRE_COMMIT_INSTALLED})
-    include(KDEGitCommitHooks)
-    include(KDEClangFormat)
-    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    find_program(PRE_COMMIT_EXECUTABLE pre-commit)
+    if(PRE_COMMIT_EXECUTABLE)
+        message(STATUS "This module has pre-commit support. pre-commit binary was found. Installing pre-commit hook")
+        execute_process(
+            COMMAND
+                "${PRE_COMMIT_EXECUTABLE}" install -f
+            ERROR_QUIET
+            RESULT_VARIABLE _precommitresult
+            WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
+        )
+        if(_precommitresult EQUAL 0)
+            message(STATUS "Pre-commit installed.")
+        else()
+            message(
+                WARNING
+                "Error during installing pre-commit hook: ${PRE_COMMIT_EXECUTABLE} project source dir ${PROJECT_SOURCE_DIR}"
+            )
+            include(KDEGitCommitHooks)
+            include(KDEClangFormat)
+            kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+        endif()
+    else()
+        message(WARNING "This module has pre-commit support. pre-commit binary was not found.")
+        include(KDEGitCommitHooks)
+        include(KDEClangFormat)
+        kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+    endif()
 endif()
 include(ECMGenerateExportHeader)
 include(ECMSetupVersion)
@@ -44,14 +67,8 @@
 include(ECMAddTests)
 
 set(MAILIMPORTER_LIB ${PIM_VERSION})
-include(ECMAddQch)
+include(ECMGenerateQDoc)
 
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(
-    QCH
-    ${BUILD_QCH}
-    "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)"
-)
 include(ECMCheckOutboundLicense)
 file(
     GLOB_RECURSE ALL_SOURCE_FILES
@@ -60,10 +77,10 @@
 )
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
-set(AKONADIMIME_LIB_VERSION "6.6.0")
-set(KMIME_LIB_VERSION "6.6.0")
-set(AKONADI_VERSION "6.6.0")
-set(PIMCOMMON_LIB_VERSION "6.6.0")
+set(AKONADIMIME_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.40")
+set(AKONADI_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
 
 find_package(
     Qt6
@@ -88,7 +105,12 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0)
 
 ########### CMake Config Files ###########

=== src/mailimporter/CMakeLists.txt ===
########### CMake Config Files ###########

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILIMPORTER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailimporter_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterConfigVersion.cmake"
    SOVERSION 6
)

add_library(KPim6MailImporter)
add_library(KPim6::MailImporter ALIAS KPim6MailImporter)

target_sources(
    KPim6MailImporter
    PRIVATE
        importmailswidget.cpp
        filterinfogui.cpp
        importmailswidget.h
        filterinfogui.h
)

target_sources(
    KPim6MailImporter
    PRIVATE
        filters/filteroe.cpp
        filters/filterpmail.cpp
        filters/filterplain.cpp
        filters/filtermbox.cpp
        filters/filterevolution.cpp
        filters/filtermailapp.cpp
        filters/filterevolution_v2.cpp
        filters/filterevolution_v3.cpp
        filters/filteropera.cpp
        filters/filterthunderbird.cpp
        filters/filterkmail_maildir.cpp
        filters/filtersylpheed.cpp
        filters/filterclawsmail.cpp
        filters/filterthebat.cpp
        filters/filterlnotes.cpp
        filters/filterkmailarchive.cpp
        filters/filtermailmangzip.cpp
        filters/filtericedove.cpp
        filters/filterbalsa.cpp
        filters/filterseamonkey.cpp
        messagestatus.cpp
        filterinfo.cpp
        filters.cpp
        filterimporterbase.cpp
        othermailerutil.cpp
        selectthunderbirdprofilewidget.cpp
        messagestatus.h
        selectthunderbirdprofilewidget.h
        filters/filterclawsmail.h
        filters/filterseamonkey.h
        filters/filterevolution_v3.h
        filters/filteroe.h
        filters/filtermailapp.h
        filters/filterkmail_maildir.h
        filters/filtericedove.h
        filters/filtermailmangzip.h
        filters/filterpmail.h
        filters/filterthunderbird.h
        filters/filterlnotes.h
        filters/filterevolution_v2.h
        filters/filterkmailarchive.h
        filters/filteropera.h
        filters/filtersylpheed.h
        filters/filterthebat.h
        filters/filterbalsa.h
        filters/filterevolution.h
        filters/filtermbox.h
        filters/filterplain.h
        othermailerutil.h
        mailimporter_utils.h
        filterimporterbase.h
        filters.h
        mailimporter_private_export.h
        filterinfo.h
)

ki18n_wrap_ui(KPim6MailImporter ui/importmailswidget.ui ui/selectthunderbirdprofilewidget.ui)

ecm_qt_declare_logging_category(KPim6MailImporter HEADER mailimporter_debug.h IDENTIFIER MAILIMPORTER_LOG CATEGORY_NAME org.kde.pim.mailimporter
        DESCRIPTION "mailimporter (mailimporter)"
        OLD_CATEGORY_NAMES log_mailimporter
        EXPORT MAILIMPORTER
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6MailImporter
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()
ecm_generate_export_header(KPim6MailImporter
    BASE_NAME mailimporter
    VERSION ${MAILIMPORTER_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)
target_include_directories(
    KPim6MailImporter
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporter/>"
)
target_include_directories(
    KPim6MailImporter
    PUBLIC
        "$<BUILD_INTERFACE:${MailImporter_SOURCE_DIR}/src;${MailImporter_BINARY_DIR}/src;>"
)

target_link_libraries(
    KPim6MailImporter
    PUBLIC
        KF6::Archive
    PRIVATE
        KPim6::PimCommon
        KF6::I18n
        KF6::ConfigCore
        Qt::Xml
        Qt::Widgets
)

set_target_properties(
    KPim6MailImporter
    PROPERTIES
        VERSION
            ${MAILIMPORTER_VERSION}
        SOVERSION
            ${MAILIMPORTER_SOVERSION}
        EXPORT_NAME
            MailImporter
)

install(TARGETS KPim6MailImporter EXPORT KPim6MailImporterTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(MailImporter_CamelCase_HEADERS
    HEADER_NAMES
    FilterImporterBase
    FilterInfoGui
    OtherMailerUtil
    ImportMailsWidget
    MailImporter_Utils
    Filters
    FilterInfo
    MessageStatus
    REQUIRED_HEADERS MailImporter_HEADERS
    PREFIX MailImporter
)

ecm_generate_headers(MailImporter_FiltersCamelCase_HEADERS
    HEADER_NAMES
    FilterClawsMail
    FilterBalsa
    FilterSylpheed
    FilterTheBat
    FilterEvolution
    FilterThunderbird
    FilterEvolution_v2
    FilterEvolution_v3
    FilterMailApp
    FilterMailmanGzip
    FilterPlain
    FilterPMail
    FilterMBox
    FilterOpera
    FilterLNotes
    FilterOE
    FilterKMail_maildir
    FilterKMailArchive
    FilterIcedove
    FilterSeaMonkey
    REQUIRED_HEADERS MailImporter_Filters_HEADERS
    PREFIX MailImporter
    RELATIVE filters
)

install(
    FILES
        ${MailImporter_CamelCase_HEADERS}
        ${MailImporter_FiltersCamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporter/MailImporter
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mailimporter_export.h
        ${MailImporter_HEADERS}
        ${MailImporter_Filters_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporter/mailimporter
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MailImporter")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailImporterConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6MailImporterTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6MailImporterTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mailimporter_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporter
    COMPONENT Devel
)
ecm_generate_qdoc(KPim6MailImporter mailimporter.qdocconf)

=== src/mailimporterakonadi/CMakeLists.txt ===
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MailImporterAkonadi")

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILIMPORTERAKONADI
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailimporterakonadi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterAkonadiConfigVersion.cmake"
    SOVERSION 6
)

add_library(KPim6MailImporterAkonadi)
add_library(KPim6::MailImporterAkonadi ALIAS KPim6MailImporterAkonadi)

target_sources(
    KPim6MailImporterAkonadi
    PRIVATE
        filterimporterakonadi.cpp
        filterimporterakonadi.h
)

ecm_qt_declare_logging_category(KPim6MailImporterAkonadi HEADER mailimporterakonadi_debug.h IDENTIFIER MAILIMPORTERAKONADI_LOG CATEGORY_NAME org.kde.pim.mailimporterakonadi
        DESCRIPTION "mailimporterakonadi (mailimporter)"
        EXPORT MAILIMPORTER
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(
        KPim6MailImporterAkonadi
        PROPERTIES
            UNITY_BUILD
                ON
    )
endif()

ecm_generate_export_header(KPim6MailImporterAkonadi
    BASE_NAME mailimporterakonadi
    VERSION ${MAILIMPORTERAKONADI_VERSION}
    DEPRECATED_BASE_VERSION 0
    USE_VERSION_HEADER
)

target_include_directories(
    KPim6MailImporterAkonadi
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporterAkonadi/>"
)
target_include_directories(
    KPim6MailImporterAkonadi
    PUBLIC
        "$<BUILD_INTERFACE:${MailImporter_SOURCE_DIR}/src;${MailImporter_BINARY_DIR}/src;>"
)

target_link_libraries(
    KPim6MailImporterAkonadi
    PUBLIC
        KPim6::MailImporter
        KPim6::AkonadiCore
    PRIVATE
        KPim6::Mime
        KPim6::AkonadiMime
        KF6::I18n
)

set_target_properties(
    KPim6MailImporterAkonadi
    PROPERTIES
        VERSION
            ${MAILIMPORTERAKONADI_VERSION}
        SOVERSION
            ${MAILIMPORTERAKONADI_SOVERSION}
        EXPORT_NAME
            MailImporterAkonadi
)

install(TARGETS KPim6MailImporterAkonadi EXPORT KPim6MailImporterAkonadiTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_generate_headers(MailImporter_AkonadiCamelCase_HEADERS
    HEADER_NAMES
    FilterImporterAkonadi
    REQUIRED_HEADERS MailImporter_Akonadi_HEADERS
    PREFIX MailImporterAkonadi
)

install(
    FILES
        ${MailImporter_AkonadiCamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporterAkonadi/MailImporterAkonadi
    COMPONENT Devel
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mailimporterakonadi_export.h
        ${MailImporter_Akonadi_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporterAkonadi/mailimporterakonadi
    COMPONENT Devel
)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailImporterAkonadiConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterAkonadiConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterAkonadiConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPim6MailImporterAkonadiConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(
    EXPORT KPim6MailImporterAkonadiTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6MailImporterAkonadiTargets.cmake
    NAMESPACE KPim6::
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/mailimporterakonadi_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MailImporterAkonadi
    COMPONENT Devel
)

=== debian/changelog ===
kpim6-mailimporter (4:25.12.1+p24.04+vunstable+git20260204.0041-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 00:41:53 +0000

## kpim6-mailimporter 25.12.2+p24.04+vunstable+git20260207.0247

=== CMakeLists.txt ===
--- 
+++ 
@@ -110,7 +110,7 @@
     # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
     string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
 endif()
-ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0)
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.23.0)
 
 ########### CMake Config Files ###########

=== debian/changelog ===
kpim6-mailimporter (4:25.12.2+p24.04+vunstable+git20260207.0247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 02:47:21 +0000

kpim6-mailimporter (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 06:36:36 +0000
